{% extends 'index.html' %}
{% load static %}

{% block title %}Филиалы {{object_list.count}} {% endblock title %}
{% block page %}
  <div id="filials" class="reports" v-cloak>
    <div class="section section_default">
      <div class="section__content">
        <div class="section__header header header_listing">
          <div class="header__main">
            <h1>Филиалы<span class="section__count">${ count }</span></h1>
          </div>
        </div>
        <div class="section__body">
          <div class="filials-grid filials-grid_default">
            <div v-for="filial in objects" class="filials-grid__item">
              <div class="filial filial_inline">
                <div class="filial__location">
                  <h5 class="filial__title">
                    <a class="link link_title" :href="`/user/filial-detail/${filial.id}`">${ filial.name }</a>
                  </h5>
                  <div class="filial__address">${ filial.address }</div>
                </div>
                <div class="filial__manager">
                  <a v-for="leader in filial.leaders" class="link link_title" {% if perms.core.view_user %} :href="`/user/user_detail/${leader.id}`" {% endif %}>${ leader.full_name }<br></a>
                </div>
                <div class="filial__contacts">
                  <div class="list list_xxs">
                    <div class="list__item">
                      <a v-if="filial.phone" id="id_phone" class="link link_title" :href="`tel:+${filial.phone}`">${ filial.phone }</a>
                    </div>
                    <div class="list__item">
                      <a v-if="filial.email" class="link link_default" :href="`mailto:${filial.email}`">${ filial.email }</a>
                    </div>
                  </div>
                </div>
                {% if perms.core.change_filial or perms.core.delete_filial %}
                <div class="filial__actions">
                  <div class="dropdown">
                    <div class="dropdown__control" @click="openDropdown">
                      <div class="btn btn_m btn_circle">
                        <div class="btn__icon icon icon_m">
                          <svg>
                            <use xlink:href="#icon_menu_24"></use>
                          </svg>
                        </div>
                      </div>
                    </div>
                    <div class="dropdown__content">
                      <div class="menu-controls">
                        {% if perms.core.change_filial %}<div class="menu-controls__item"><a class="menu-controls__link" :href="`/user/filial-edit/${filial.id}`">Редактировать</a></div>{% endif %}
                        {% if perms.core.delete_filial %}<div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer" @click="removeObject(filial)">Удалить</a></div>{% endif %}
                      </div>
                    </div>
                  </div>
                </div>
              {% endif %}
              </div>
            </div>
          </div>
          {% include 'paginator.html' %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script>
    var store = {
      state: {
        filter: ''
      }
    }

  </script>
  <script src="{% static 'js/filiallist.bundle.js' %}"></script>
{% endblock %}

